org.apache.uima.jcas.cas

## Class ByteArray_Type

- java.lang.Object
- - org.apache.uima.jcas.cas.TOP_Type
  - - org.apache.uima.jcas.cas.CommonArray_Type
    - - org.apache.uima.jcas.cas.ByteArray_Type

-     public final class ByteArray_Type
      extends CommonArray_Type

  The java Cas model for the CAS ByteArray_Type

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `typeIndexID` this types ID - used to index a localTypeArray in JCas to get an index which indexes the global typeArray in JCas instance to get a ref to this instance

    - ### Fields inherited from class org.apache.uima.jcas.cas.TOP_Type

      `casImpl, casType, casTypeCode, instanceOf_Type, jcas, ll_cas, lowLevelArrayBoundChecks, lowLevelTypeChecks, useExistingInstance`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ByteArray_Type(JCas jcas, Type casType)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `copyFromArray(int addr, byte[] src, int srcOffset, int destOffset, int length)`
    `void` | `copyToArray(int addr, int srcOffset, byte[] dest, int destOffset, int length)`
    `byte` | `get(int addr, int i)`
    `protected org.apache.uima.cas.impl.FSGenerator<?>` | `getFSGenerator()`
    `void` | `set(int addr, int i, byte v)` updates the Cas, setting the indexed value to the passed in Java value
    `byte[]` | `toArray(int addr)`

    - ### Methods inherited from class org.apache.uima.jcas.cas.CommonArray_Type

      `size`

    - ### Methods inherited from class org.apache.uima.jcas.cas.TOP_Type

      `addToIndexes, checkType, getTypeIndexID, invalidTypeArg, noObjCreate, removeFromIndexes`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### typeIndexID

          public static final int typeIndexID

      this types ID - used to index a localTypeArray in JCas to get an index which indexes the global typeArray in JCas instance to get a ref to this instance

  - ### Constructor Detail

    - #### ByteArray_Type

          public ByteArray_Type(JCas jcas,
                                Type casType)

  - ### Method Detail

    - #### getFSGenerator

          protected org.apache.uima.cas.impl.FSGenerator<?> getFSGenerator()

      Overrides:
        `getFSGenerator` in class `TOP_Type`

    - #### get

          public byte get(int addr,
                          int i)

      Parameters:
        `addr` - low level CAS Feature Structure reference to get value from
        `i` - the index
      Returns:
        the indexed value from the corresponding Cas ByesArray.
      See Also:
        `ByteArrayFS.get(int)`

    - #### set

          public void set(int addr,
                          int i,
                          byte v)

      updates the Cas, setting the indexed value to the passed in Java value
      Parameters:
        `addr` - low level CAS Feature Structure reference to set value into
        `i` - the index
        `v` - the value
      See Also:
        `ByteArrayFS.set(int, byte)`

    - #### copyFromArray

          public void copyFromArray(int addr,
                                    byte[] src,
                                    int srcOffset,
                                    int destOffset,
                                    int length)

      Parameters:
        `addr` - low level reference to the FS in the CAS
        `src` - where to copy data from
        `srcOffset` - the source offset
        `destOffset` - the destination offset
        `length` - the number of bytes to copy
      See Also:
        `ByteArrayFS.copyFromArray(byte[], int, int, int)`

    - #### copyToArray

          public void copyToArray(int addr,
                                  int srcOffset,
                                  byte[] dest,
                                  int destOffset,
                                  int length)

      Parameters:
        `addr` - low level reference to the FS in the CAS
        `srcOffset` - the source offset
        `dest` - the array to copy into
        `destOffset` - the destination offset
        `length` - the number of bytes to copy
      See Also:
        `ByteArrayFS.copyToArray(int, byte[], int, int)`

    - #### toArray

          public byte[] toArray(int addr)

      Parameters:
        `addr` - low level reference to the FS in the CAS
      Returns:
        a copy of the byte array as a Java object
      See Also:
        `ByteArrayFS.toArray()`

Copyright © 2006–2018 The Apache Software Foundation. All rights reserved.